hpp-corbaserver: _objref_Path Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Path Class Reference

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for _objref_Path:
[legend]
Collaboration diagram for _objref_Path:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
size_type | outputSize ()
size_type | outputDerivativeSize ()
value_type | length ()
floatSeq * | initial ()
floatSeq * | end ()
ConstraintSet_ptr | constraints ()
char * | str ()
floatSeq * | call (::hpp::value_type t, ::CORBA::Boolean &success)
floatSeq * | at (::hpp::value_type t, ::CORBA::Boolean &success)
floatSeq * | derivative (::hpp::value_type t, ::CORBA::Short order)
Path_ptr | extract (::hpp::value_type tmin, ::hpp::value_type tmax)
PathVector_ptr | asVector ()
Path_ptr | reverse ()
| _objref_Path ()
| _objref_Path (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Path ()

## Friends
class | Path

## Constructor & Destructor Documentation

## ◆ _objref_Path() [1/2]

_objref_Path::_objref_Path | ( |  | ) |
| inline

## ◆ _objref_Path() [2/2]

_objref_Path::_objref_Path | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Path()

virtual _objref_Path::~_objref_Path | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ asVector()

PathVector_ptr _objref_Path::asVector | ( |  | ) |

## ◆ at()

floatSeq * _objref_Path::at | ( | ::hpp::value_type | t,
|  | ::CORBA::Boolean & | success
| ) |  |

## ◆ call()

floatSeq * _objref_Path::call | ( | ::hpp::value_type | t,
|  | ::CORBA::Boolean & | success
| ) |  |

## ◆ constraints()

ConstraintSet_ptr _objref_Path::constraints | ( |  | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_Path::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_Path::deleteThis | ( |  | ) |

## ◆ derivative()

floatSeq * _objref_Path::derivative | ( | ::hpp::value_type | t,
|  | ::CORBA::Short | order
| ) |  |

## ◆ end()

floatSeq * _objref_Path::end | ( |  | ) |

## ◆ extract()

Path_ptr _objref_Path::extract | ( | ::hpp::value_type | tmin,
|  | ::hpp::value_type | tmax
| ) |  |

## ◆ initial()

floatSeq * _objref_Path::initial | ( |  | ) |

## ◆ length()

value_type _objref_Path::length | ( |  | ) |

## ◆ outputDerivativeSize()

size_type _objref_Path::outputDerivativeSize | ( |  | ) |

## ◆ outputSize()

size_type _objref_Path::outputSize | ( |  | ) |

## ◆ persistantStorage()

void _objref_Path::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ reverse()

Path_ptr _objref_Path::reverse | ( |  | ) |

## ◆ str()

char * _objref_Path::str | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ Path

friend class Path
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh